#ifndef PYLONRECORDER_H
#define PYLONRECORDER_H

#include <pylon/PylonIncludes.h>
#include <pylon/BaslerUniversalInstantCamera.h>

struct ImageSettings {
  int64_t width = 0;
  int64_t height = 0;
};

class PylonRecorder
{
public:
    PylonRecorder();
    ~PylonRecorder();

    ImageSettings getImageSettings();
    bool isOpen();
    void terminate();
    bool openCamera(std::string &message);
    void closeCamera();
    Pylon::CGrabResultPtr grabFrame();

private:
    Pylon::CInstantCamera *camera;
    bool valid;



};

#endif // PYLONRECORDER_H
